function [U0,gutri,p,dptri]=fonction(m,sigmatri,sigmanod,mesurestri)

bc1=BoundaryCondition(1,[1,3],'y');%%ecriture conditions de bord
bc2=BoundaryCondition(2,[2,4],'0');
%bc2=BoundaryCondition(2,[2],'0');
%BCM=boundaryconditionsmatrix(bc1);
BCM=boundaryconditionsmatrix([bc1, bc2]);
U0=m.solvepde(BCM,sigmatri,'0','0'); %calcul de U

%%%calcul de P solution de div sigma grad p = div sigma ( sigma grad U -
%%%mesures)
%%%calcul du second membre
gutri=m.grad(U0);
gunod=m.tri2nod(gutri);
mesurenod1=m.tri2nod(mesurestri(1,:));
mesurenod2=m.tri2nod(mesurestri(2,:));%passage des mesures sur le mesh actuel 
mesurenod=[mesurenod1,mesurenod2];
term1=sigmanod.*(sigmanod.*gunod(:,1)- mesurenod(:,1));%termes intermediaires pour le calcul de la divergence
term2=sigmanod.*(sigmanod.*gunod(:,2)- mesurenod(:,2));
gradterm1=m.grad(term1);
gradterm2=m.grad(term2);
termsourcetri=gradterm1(1,:)+gradterm2(2,:);
%%%calcul de P
bc1p=BoundaryCondition(1,[1,3],'0');
BCMp=boundaryconditionsmatrix([bc1p, bc2]);
p=m.solvepde(BCMp, sigmatri,termsourcetri,'0');
dptri=m.grad(p);
%dpnod=m.tri2nod(dptri);%%%gradient sur les nodes
